com.microfocus.awm.core

## Class HostConnectorFinder

- java.lang.Object
- - com.microfocus.awm.core.HostConnectorFinder

-     public class HostConnectorFinder
      extends java.lang.Object

  Searches for Extensions of the Extension Point `com.microfocus.awm.zconnector` and creates an instance of an `IHostConnector` implementation.
  Author:
    Ralf Pakosch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HostConnectorFinder()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IHostConnector` | `getHostConnector(java.lang.Class<?> pClass)` Returns an `IHostConnector` for the given `ISystemImage`.
    `static IHostConnector` | `getHostConnectorFromSystemName(java.lang.String pRemoteSystemName)` Goes through all host connector extensions and returns the first connector that returns an `ISystemImage` for the given remote system name.
    `static IHostConnector` | `getImplementedConnector()` Deprecated. Use `getHostConnector(Class)` instead.
    `static ISystemImage` | `getSystemImageFromSystemName(java.lang.String pRemoteSystemName)` First calls `getHostConnectorFromSystemName(String)` to get a host connector and then `ISystemUtilities.getSystemFromName(String)`.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HostConnectorFinder

          public HostConnectorFinder()

  - ### Method Detail

    - #### getImplementedConnector

          @Deprecated
          public static IHostConnector getImplementedConnector()
                                                                     throws TaurusCoreException

      Deprecated. Use `getHostConnector(Class)` instead.
      Returns an `IHostConnector` that has been defined by an `com.microfocus.awm.zconnector` extension.
      Returns:
        an `IHostConnector`.
      Throws:
        `TaurusCoreException` - if no host connector extension was found.

    - #### getHostConnector

          public static IHostConnector getHostConnector(java.lang.Class<?> pClass)
                                                 throws TaurusCoreException

      Returns an `IHostConnector` for the given `ISystemImage`. The host connector will be searched by looking for `com.microfocus.awm.zconnector` extensions.
      Parameters:
        `pClass` - an `ISystemImage`.
      Returns:
        an `IHostConnector`.
      Throws:
        `TaurusCoreException` - if no `IHostConnector` extension was found.

    - #### getHostConnectorFromSystemName

          public static IHostConnector getHostConnectorFromSystemName(java.lang.String pRemoteSystemName)
                                                               throws TaurusCoreException

      Goes through all host connector extensions and returns the first connector that returns an `ISystemImage` for the given remote system name.
      Parameters:
        `pRemoteSystemName` - the name of the remote system (RSE connection)
      Returns:
        an `ISystemImage`
      Throws:
        `TaurusCoreException` - if no host connector was found for the given remote system name
      See Also:
        `ISystemUtilities.getSystemFromName(String)`

    - #### getSystemImageFromSystemName

          public static ISystemImage getSystemImageFromSystemName(java.lang.String pRemoteSystemName)
                                                           throws TaurusCoreException

      First calls `getHostConnectorFromSystemName(String)` to get a host connector and then `ISystemUtilities.getSystemFromName(String)`.
      Parameters:
        `pRemoteSystemName` - the name of the remote system (RSE connection)
      Returns:
        an `ISystemImage`
      Throws:
        `TaurusCoreException` - if no system image was found for the remote system nmae

Copyright © 2015 Micro Focus GmbH. All rights reserved.